VkPipelineViewportSwizzleStateCreateInfoNV Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineViewportSwizzleStateCreateInfoNV:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineViewportSwizzleStateCreateFlagsNV | flags
uint32_t | viewportCount
const VkViewportSwizzleNV * | pViewportSwizzles

## Detailed Description

Definition at line 6164 of file vulkan.h.

## Field Documentation

## flags

VkPipelineViewportSwizzleStateCreateFlagsNV VkPipelineViewportSwizzleStateCreateInfoNV::flags

Definition at line 6167 of file vulkan.h.

## pNext

const void* VkPipelineViewportSwizzleStateCreateInfoNV::pNext

Definition at line 6166 of file vulkan.h.

## pViewportSwizzles

const VkViewportSwizzleNV* VkPipelineViewportSwizzleStateCreateInfoNV::pViewportSwizzles

Definition at line 6169 of file vulkan.h.

## sType

VkStructureType VkPipelineViewportSwizzleStateCreateInfoNV::sType

Definition at line 6165 of file vulkan.h.

## viewportCount

uint32_t VkPipelineViewportSwizzleStateCreateInfoNV::viewportCount

Definition at line 6168 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h